Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Advanced Scripting Environment (EASE) » Issue : 'javapackage' object is not callable
Issue : 'javapackage' object is not callable [message #1726956] Thu, 17 March 2016 17:05 Go to next message
TheMax TheMax is currently offline TheMax TheMaxFriend
Messages: 5
Registered: March 2016
Junior Member
Hello,

I discover Ease on the page website : opensource.com/life/16/2/how-use-python-hack-your-ide

I try to use it to get information from a remote URL using urllib.
I have this error :

Quote:
Traceback (most recent call last):
File "(none)", line 4, in <module>
File "D:\tools\org\eclipse\eclipse-jee-mars\SR1-win64\eclipse-jee-mars\SR1-win64\eclipse\plugins\org.jython_2.7.0.201602120922\Lib\httplib.py", line 71, in <module>
import socket
File "D:\tools\org\eclipse\eclipse-jee-mars\SR1-win64\eclipse-jee-mars\SR1-win64\eclipse\plugins\org.jython_2.7.0.201602120922\Lib\socket.py", line 3, in <module>
from _socket import (
File "D:\tools\org\eclipse\eclipse-jee-mars\SR1-win64\eclipse-jee-mars\SR1-win64\eclipse\plugins\org.jython_2.7.0.201602120922\Lib\_socket.py", line 5, in <module>
import logging
File "D:\tools\org\eclipse\eclipse-jee-mars\SR1-win64\eclipse-jee-mars\SR1-win64\eclipse\plugins\org.jython_2.7.0.201602120922\Lib\logging\__init__.py", line 26, in <module>
import sys, os, time, cStringIO, traceback, warnings, weakref
File "D:\tools\org\eclipse\eclipse-jee-mars\SR1-win64\eclipse-jee-mars\SR1-win64\eclipse\plugins\org.jython_2.7.0.201602120922\Lib\weakref.py", line 71, in <module>
WeakValueDictionaryBuilder = dict_builder(MapMaker().weakValues().makeMap, WeakValueDictionary)
TypeError: 'javapackage' object is not callable


I wrote a comment on the site and the answer said to update to the 0.3.0.
So, I did it, but I still have the error .... :-/

My installation details :
- EASE Core feature Developer Resources 0.3.0.I201602290929 org.eclipse.ease.feature.source.feature.group null
- EASE core UI feature Developer Resources 0.3.0.I201603170317 org.eclipse.ease.ui.feature.source.feature.group null
- EASE Jython Integration 0.3.0.201602120922 org.eclipse.ease.python.jython.feature.feature.group null
- EASE Modules (Incubation) Developer Resources 0.3.0.I201602251323 org.eclipse.ease.modules.feature.source.feature.group Eclipse.org
- EASE Python 0.3.0.I201602251302 org.eclipse.ease.python.feature.feature.group null
- EASE Python Developer Resources 0.3.0.I201602251302 org.eclipse.ease.python.feature.source.feature.group null

Re: Issue : 'javapackage' object is not callable [message #1726963 is a reply to message #1726956] Thu, 17 March 2016 18:09 Go to previous messageGo to next message
Christian Pontesegger is currently offline Christian PonteseggerFriend
Messages: 197
Registered: July 2009
Location: Graz, Austria
Senior Member
Could you post a short script to reproduce the problem?
Re: Issue : 'javapackage' object is not callable [message #1727004 is a reply to message #1726963] Fri, 18 March 2016 08:10 Go to previous messageGo to next message
TheMax TheMax is currently offline TheMax TheMaxFriend
Messages: 5
Registered: March 2016
Junior Member
Well, my script is simple ^^

loadModule('/System/Resources')
 
from org.eclipse.core.resources import IMarker
import httplib


It's the import part who launch the error.

[Updated on: Fri, 18 March 2016 08:11]

Report message to a moderator

Re: Issue : 'javapackage' object is not callable [message #1727032 is a reply to message #1727004] Fri, 18 March 2016 11:39 Go to previous messageGo to next message
Christian Pontesegger is currently offline Christian PonteseggerFriend
Messages: 197
Registered: July 2009
Location: Graz, Austria
Senior Member
I updated the python library on the jython update site. Loading httplib works now. However I can see that during loading some module also tries to load "fcntl" which is not supported by jython so far. If this affects functionality of httplib I do not know.

Christian
Re: Issue : 'javapackage' object is not callable [message #1727072 is a reply to message #1727032] Fri, 18 March 2016 15:17 Go to previous message
TheMax TheMax is currently offline TheMax TheMaxFriend
Messages: 5
Registered: March 2016
Junior Member
Woohoo !

It seems to work now !
Thank you very much Smile
Previous Topic:Need help to create script module for Groovy
Next Topic:Multiple enableFor ?
Goto Forum:
  


Current Time: Fri Oct 19 07:32:07 GMT 2018

Powered by FUDForum. Page generated in 0.01997 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top